import { createAuthClient } from "better-auth/react"
import { usernameClient, adminClient, passkeyClient } from "better-auth/client/plugins"
export const authClient = createAuthClient({
    /** The base URL of the server (optional if you're using the same domain) */
    baseURL: "http://localhost:4321",
    plugins: [
        usernameClient(), adminClient(), passkeyClient()
    ]
})

export const { signIn, signOut, useSession } = authClient;